Cygport Reference Manual

### TABLE OF CONTENTS

- mate.cygclass

- HOMEPAGE (mate)
- SRC_URI (mate)
- GIT_URI (mate)
- mate_autoreconf
- MATE_NO_AUTOGEN
- mate_configure
- mate_compile
- src_compile (mate)

## mate.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit mate

DESCRIPTION

The MATE project provides a fork of the GNOME 2 libraries, desktop and core applications. Most packages are written in C and are built with an autotools-based system with some additional tools.

This cygclass manages the building of most MATE packages.

INHERITS

autotools.cygclass

## HOMEPAGE (mate)

[ Top ] [ mate.cygclass ] [ Overloads ]

DEFINITION

    HOMEPAGE="https://mate-desktop.org/"

## SRC_URI (mate)

[ Top ] [ mate.cygclass ] [ Overloads ]

DEFINITION

## GIT_URI (mate)

[ Top ] [ mate.cygclass ] [ Overloads ]

NOTE

git.cygclass should be inherit()ed last for this to be of use.

DEFINITION

    GIT_URI="git://github.com/mate-desktop/${ORIG_PN:-${PN}}.git"

## mate_autoreconf

[ Top ] [ mate.cygclass ] [ Compile Functions ]

SYNOPSIS

      mate_autoreconf

DESCRIPTION

Updates the build system with mate-autogen. mate_autoreconf must be run in the directory containing the top-level configure.ac or configure.in (usually $S).

WARNING

Skipping this step is strongly discouraged. Patches to configure.ac, aclocal macros, or Makefile.am files will not take effect until their tools have been regenerated. Also, Cygwin's libtool package often includes patches which are not yet available in the latest upstream release, so libraries may not be built optimally, or even correctly, without this step having been run. The same applies for some of the MATE build tools as well.

REQUIRES

autoconf, automake, gettext-devel, mate-common, mate-doc-utils, gtk-doc, intltool, libglib2.0-devel, libtool, pkg-config.

SEE ALSO

cygautoreconf

## MATE_NO_AUTOGEN

[ Top ] [ mate.cygclass ] [ Variables ]

DESCRIPTION

By default, mate-autogen will retool the working directory's and any subdirectories containing a configure.ac/configure.in which may be configured separately with an AC_CONFIG_SUBDIRS. If a subdirectory need not be retooled (e.g. it will not built for whatever reason), or it does not use autotools (e.g. the libdb included in evolution), define this variable to the subdirectories to skip, relative to the directory where mate_autoreconf will be run (usually $S).

## mate_configure

[ Top ] [ mate.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      mate_configure [CONFIGURE_FLAGS]

DESCRIPTION

Calls cygconf with the following options:

- --enable-gtk-doc: create and install API docs (native builds only)
- --disable-scrollkeeper: Scrollkeeper is obsolete

All arguments to mate_configure are passed to cygconf as configure flags.

## mate_compile

[ Top ] [ mate.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      mate_compile [CONFIGURE_FLAGS]

DESCRIPTION

Calls mate_configure followed by cygmake. All arguments to mate_compile are passed as configure flags.

## src_compile (mate)

[ Top ] [ mate.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${S}
            mate_autoreconf
            cd ${B}
            mate_configure
            cygmake
    }